#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    set<long long> s;
    long long ossz=1;
    long long n;
    int t;
    cin >> t;
    while(t--){
        cin >> n;
        for(long long i=n;i>1;i--){
            long long x = i;
            while(x > 1){
                ossz *= x%10;
                x/=10;
            }
            s.insert(ossz);
            ossz = 1;

        }
        cout << s.size() << '\n';
    }
    return 0;
}